#ifndef __WIFI_H__
#define __WIFI_H__

int32_t hal_wifi_init();
int32_t hal_wifi_deinit();
int32_t hal_wifi_init();
int32_t hal_wifi_deinit();
int32_t hal_wifi_scan();
int32_t hal_wifi_join_network();
int32_t hal_wifi_disconnect_network();
int32_t hal_wifi_reconnect_network();
int32_t hal_wifi_get_status();
int32_t hal_wifi_get_current_ssid();
int32_t hal_wifi_is_connected();
int32_t hal_wifi_enter_sleep_mode();
int32_t hal_wifi_register_callbacks();
int32_t hal_wifi_set_keepalive_config();
int32_t hal_wifi_factory_test();
int32_t hal_wifi_clean_network();
int32_t hal_wifi_get_interface_name();
int32_t hal_wifi_get_rssi();
int32_t hal_wifi_get_country_code();
int32_t hal_wifi_set_country_code();
int32_t hal_wifi_set_beacon_listen_interval();
int32_t hal_wifi_set_p2p_license_info();
int32_t hal_wifi_get_p2p_connection_info();
int32_t hal_wifi_set_hostname();
int32_t hal_wifi_set_static_ip();
int32_t hal_wifi_set_region();
int32_t hal_wifi_customer_cmd();
#endif